xine-lib-1.2-dmo (1:1.2.13+20240511.hg73b833e-dmo7) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Sep 2025 09:29:12 +0200

xine-lib-1.2-dmo (1:1.2.13+20240511.hg73b833e-dmo6) unstable; urgency=medium

  * Build with libtheora1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Sep 2025 15:34:39 +0200

xine-lib-1.2-dmo (1:1.2.13+20240511.hg73b833e-dmo5) unstable; urgency=medium

  * Build with libbluray3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Aug 2025 16:41:27 +0200

xine-lib-1.2-dmo (1:1.2.13+20240511.hg73b833e-dmo4) unstable; urgency=medium

  * Build with libvpx11

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Aug 2025 18:15:42 +0200

xine-lib-1.2-dmo (1:1.2.13+20240511.hg73b833e-dmo3) unstable; urgency=medium

  * Add riscv64 support

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Mar 2025 08:19:13 +0100

xine-lib-1.2-dmo (1:1.2.13+20240511.hg73b833e-dmo2+b2) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Feb 2025 14:28:36 +0100

xine-lib-1.2-dmo (1:1.2.13+20240511.hg73b833e-dmo2+b1) unstable; urgency=medium

  * Build with libnfs16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Dec 2024 14:27:12 +0100

xine-lib-1.2-dmo (1:1.2.13+20240511.hg73b833e-dmo2) unstable; urgency=medium

  * Build with new imagemagick 7 Debian packages name

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Aug 2024 15:36:34 +0200

xine-lib-1.2-dmo (1:1.2.13+20240511.hg73b833e-dmo1) unstable; urgency=medium

  * hg snapshot to fix build with ffmpeg 7

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 May 2024 08:36:25 +0200

xine-lib-1.2-dmo (1:1.2.13-dmo6) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 10:01:05 +0100

xine-lib-1.2-dmo (1:1.2.13-dmo5) unstable; urgency=medium

  * Build with libvpx8

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Oct 2023 01:00:13 +0200

xine-lib-1.2-dmo (1:1.2.13-dmo4) unstable; urgency=medium

  * Build with libdav1d7

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Oct 2023 12:11:52 +0200

xine-lib-1.2-dmo (1:1.2.13-dmo3) unstable; urgency=medium

  * Build with libsdl1.2-compat
  * Add upstream patch to fix the changed volume scaling.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Jul 2023 18:44:53 +0200

xine-lib-1.2-dmo (1:1.2.13-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 09:45:01 +0100

xine-lib-1.2-dmo (1:1.2.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Jan 2023 01:56:31 +0100

xine-lib-1.2-dmo (1:1.2.12-dmo5) unstable; urgency=medium

  * Fix build with ffmpeg 5.1
  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 16:14:08 +0200

xine-lib-1.2-dmo (1:1.2.12-dmo4) unstable; urgency=medium

  * Fix embedded build path in libxine.pc
  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 14:06:50 +0200

xine-lib-1.2-dmo (1:1.2.12-dmo3) unstable; urgency=medium

  * Build with libssl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 08:12:05 +0200

xine-lib-1.2-dmo (1:1.2.12-dmo2) unstable; urgency=medium

  * Build with libdav1d6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Mar 2022 11:39:54 +0100

xine-lib-1.2-dmo (1:1.2.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Mar 2022 16:14:49 +0100

xine-lib-1.2-dmo (1:1.2.11-dmo6) unstable; urgency=medium

  * Build with libnfs14

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Feb 2022 11:24:08 +0100

xine-lib-1.2-dmo (1:1.2.11-dmo5) unstable; urgency=medium

  * Build with libvpx7

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 14:38:11 +0200

xine-lib-1.2-dmo (1:1.2.11-dmo4) unstable; urgency=medium

  * Build with libmagickwand-7-10

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Jun 2021 02:46:37 +0200

xine-lib-1.2-dmo (1:1.2.11-dmo3) unstable; urgency=medium

  * Build with libaom3

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 19:27:44 +0100

xine-lib-1.2-dmo (1:1.2.11-dmo2) unstable; urgency=medium

  * Build with libmagickwand-7-9

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Jan 2021 11:20:53 +0100

xine-lib-1.2-dmo (1:1.2.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Dec 2020 13:00:42 +0100

xine-lib-1.2-dmo (1:1.2.10-dmo8) unstable; urgency=medium

  * Build with libdav1d5

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Nov 2020 09:22:13 +0100

xine-lib-1.2-dmo (1:1.2.10-dmo7) unstable; urgency=medium

  * Build with libmagickwand-7-8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Nov 2020 09:20:41 +0100

xine-lib-1.2-dmo (1:1.2.10-dmo6) unstable; urgency=medium

  * Switch from freedb.freedb.org to gnudb.gnudb.org
  * Build with imagemagick 7

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Oct 2020 11:46:05 +0200

xine-lib-1.2-dmo (1:1.2.10-dmo5) unstable; urgency=medium

  * Build with libaom2

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 May 2020 11:20:23 +0200

xine-lib-1.2-dmo (1:1.2.10-dmo4) unstable; urgency=medium

  * Don't build with Imagemagisk 7

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Apr 2020 10:29:19 +0200

xine-lib-1.2-dmo (1:1.2.10-dmo3) unstable; urgency=medium

  * Build with libdvdread8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Apr 2020 08:15:25 +0200

xine-lib-1.2-dmo (1:1.2.10-dmo2) unstable; urgency=medium

  * Rename libegl1-mesa-dev by libegl-dev in Build-Depends
  * Build with libdav1d4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Mar 2020 09:38:12 +0100

xine-lib-1.2-dmo (1:1.2.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Dec 2019 08:33:05 +0100

xine-lib-1.2-dmo (1:1.2.9-dmo10) unstable; urgency=medium

  * Build with libdvdread7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Nov 2019 01:19:09 +0100

xine-lib-1.2-dmo (1:1.2.9-dmo9) unstable; urgency=medium

  * Rename libfreetype6-dev by libfreetype-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 15 Oct 2019 17:25:20 +0200

xine-lib-1.2-dmo (1:1.2.9-dmo8) unstable; urgency=medium

  * Rebuild against libcdio19

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Jun 2019 16:32:00 +0200

xine-lib-1.2-dmo (1:1.2.9-dmo7) unstable; urgency=medium

  * Rebuild against libvpx6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Feb 2019 13:41:42 +0100

xine-lib-1.2-dmo (1:1.2.9-dmo6) unstable; urgency=medium

  * Rebuild against libmng2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Nov 2018 20:22:24 +0100

xine-lib-1.2-dmo (1:1.2.9-dmo5) unstable; urgency=medium

  * Remove 'Multi-Arch: same' for libxine2-bin package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Aug 2018 14:18:10 +0200

xine-lib-1.2-dmo (1:1.2.9-dmo4) unstable; urgency=medium

  * Disable gnome-vfs (Not included in Buster)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Apr 2018 08:52:52 +0200

xine-lib-1.2-dmo (1:1.2.9-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 18:25:19 +0200

xine-lib-1.2-dmo (1:1.2.9-dmo2) unstable; urgency=medium

  * Rebuild against libvpx5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Feb 2018 21:15:40 +0100

xine-lib-1.2-dmo (1:1.2.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Jan 2018 15:01:53 +0100

xine-lib-1.2-dmo (1:1.2.8-dmo11) unstable; urgency=medium

  * Rebuild against libcdio18

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jan 2018 16:32:32 +0100

xine-lib-1.2-dmo (1:1.2.8-dmo10) unstable; urgency=medium

  * Rebuild against libcdio17

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Nov 2017 13:58:59 +0100

xine-lib-1.2-dmo (1:1.2.8-dmo9) unstable; urgency=medium

  * Rebuild against libva2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Nov 2017 10:43:49 +0100

xine-lib-1.2-dmo (1:1.2.8-dmo8) unstable; urgency=medium

  * Rebuild against graphicsmagick instead of imagemagick.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Oct 2017 18:28:05 +0200

xine-lib-1.2-dmo (1:1.2.8-dmo7) unstable; urgency=medium

  * Add Build-Conflicts: libomp-dev to not link against libomp5
  * Switch to debhelper 10
  * Rebuild against libdirectfb-1.7-7

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Aug 2017 07:53:23 +0200

xine-lib-1.2-dmo (1:1.2.8-dmo6) unstable; urgency=medium

  * Rebuild against libcdio16 and libiso9660-10

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Aug 2017 18:50:11 +0200

xine-lib-1.2-dmo (1:1.2.8-dmo5) unstable; urgency=medium

  * Also include xineplug_ao_out_oss.so

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Mar 2017 07:23:16 +0100

xine-lib-1.2-dmo (1:1.2.8-dmo4) unstable; urgency=medium

  * Add oss4-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Mar 2017 08:17:36 +0100

xine-lib-1.2-dmo (1:1.2.8-dmo3) unstable; urgency=medium

  * Re-enable OSS support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Mar 2017 08:42:07 +0100

xine-lib-1.2-dmo (1:1.2.8-dmo2) unstable; urgency=medium

  * Rebuild against libbluray2

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Mar 2017 16:49:27 +0100

xine-lib-1.2-dmo (1:1.2.8-dmo1) unstable; urgency=medium

  * New upstream release.
  * Disable OSS support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Feb 2017 08:28:13 +0100

xine-lib-1.2-dmo (1:1.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Dec 2016 10:57:32 +0100

xine-lib-1.2-dmo (1:1.2.6-dmo16) unstable; urgency=medium

  * Fix FTBFS for mips/mipsel related to binutils bug #844357

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Dec 2016 16:58:51 +0100

xine-lib-1.2-dmo (1:1.2.6-dmo15) unstable; urgency=medium

  * Fix linking with xcb libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Dec 2016 17:33:18 +0100

xine-lib-1.2-dmo (1:1.2.6-dmo14) unstable; urgency=medium

  * Rebuild against libvpx4.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Sep 2016 22:37:11 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo13) unstable; urgency=medium

  * debian/rules add a dh_makeshlibs call to add right libraries version in
    Depends field.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2016 08:18:51 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo12) unstable; urgency=medium

  * Also install vdpau plugins files :)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Apr 2016 18:08:21 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo11) unstable; urgency=medium

  * Build-Depends on libvdpau-dev for all arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Apr 2016 08:21:04 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo10) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2016 11:54:34 +0100

xine-lib-1.2-dmo (1:1.2.6-dmo9) unstable; urgency=medium

  * Build against libvpx3
  * RIP Lemmy. Born to lose, lived to win.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Dec 2015 19:55:36 +0100

xine-lib-1.2-dmo (1:1.2.6-dmo8) unstable; urgency=medium

  * Fix build for arm64.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 21 Dec 2015 16:07:43 +0100

xine-lib-1.2-dmo (1:1.2.6-dmo7) unstable; urgency=medium

  * Rebuild against libvpx2.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 May 2015 01:44:08 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo6) unstable; urgency=medium

  * Funny ? No. Rebuild against libjpeg62-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2014 15:46:25 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo5) unstable; urgency=medium

  * Second round to rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Oct 2014 16:27:58 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo4) unstable; urgency=medium

  * Rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Sep 2014 02:20:21 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 2.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Sep 2014 00:25:46 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo2) unstable; urgency=medium

  * Compile against libmagickcore-6.q16-2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Sep 2014 07:36:10 +0200

xine-lib-1.2-dmo (1:1.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Jul 2014 16:31:47 +0200

xine-lib-1.2-dmo (1:1.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Apr 2014 17:29:01 +0200

xine-lib-1.2-dmo (1:1.2.4-dmo2) unstable; urgency=low

  * Remove w3m from Build-Depends.
  * Rebuild against ffmpeg 2.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Dec 2013 14:41:02 +0100

xine-lib-1.2-dmo (1:1.2.4-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Sep 2013 09:05:54 +0200

xine-lib-1.2-dmo (1:1.2.3-dmo1) unstable; urgency=low

  * New upstream release.
  * Removed 01_disable-MMX, 03_fix-raw-yuv, 02_free-DR1-frames and
    04_fix-greedy2frame-sse2 patches included upstream.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 May 2013 16:46:06 +0200

xine-lib-1.2-dmo (1:1.2.2-dmo3) unstable; urgency=low

  * Add changes from Debian :
     o Fix raw YUV decoding.
     o Fix greedy2frame SSE2 when only 4 registers are available.
     o Add missing string termination (FourCC).
     o Free all DR1 frames (affects VP6, WMV).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Jul 2012 08:50:43 +0200

xine-lib-1.2-dmo (1:1.2.2-dmo2) unstable; urgency=low

  * Rebuild against libiso9660-8

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Jun 2012 10:21:50 +0200

xine-lib-1.2-dmo (1:1.2.2-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Jun 2012 07:39:33 +0200

xine-lib-1.2-dmo (1:1.2.1-0.5) unstable; urgency=low

  * Removed 03_rsvg-crash patch, now librsvg2-bin package is fixed.

 -- Christian Marillat <marillat@debian.org>  Tue, 03 Apr 2012 15:16:19 +0200

xine-lib-1.2-dmo (1:1.2.1-0.4) unstable; urgency=low

  * Rebuild against libmagickcore5.
  * New patch 03_rsvg-crash to fix a crash when png files are generated from
    svg files in doc/hackersguide

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Apr 2012 09:27:18 +0200

xine-lib-1.2-dmo (1:1.2.1-0.3) unstable; urgency=low

  * Fix the build for kfrebsd-* arches.

 -- Christian Marillat <marillat@debian.org>  Thu, 29 Mar 2012 14:58:00 +0200

xine-lib-1.2-dmo (1:1.2.1-0.2) unstable; urgency=low

  * Move to debhelper 9 for multi-arch and hardened build flags.

 -- Christian Marillat <marillat@debian.org>  Thu, 29 Mar 2012 11:04:18 +0200

xine-lib-1.2-dmo (1:1.2.1-0.1) unstable; urgency=low

  * Added libfame-dev in Build-depends to add dxr3 encoding support.
  * Fix DVB in 02_DVB.diff patch from upstream.

 -- Christian Marillat <marillat@debian.org>  Thu, 09 Feb 2012 15:24:36 +0100

xine-lib-1.2-dmo (1:1.2.1-0.0) unstable; urgency=low

  * New upstream release.
  * Build-Depends on libmagickwand-dev instead of
    graphicsmagick-libmagick-dev-compat.
  * Remove deprecated configure options (--with-external-libmad,
    --with-external-a52dec, --with-external-libdts, --with-external-ffmpeg,
    --with-external-libmpcdec and --without-sndio).

 -- Christian Marillat <marillat@debian.org>  Mon, 06 Feb 2012 11:15:54 +0100

xine-lib-1.2-dmo (1:1.2.0-5.1) unstable; urgency=low

  * Upload to my repository.

 -- Christian Marillat <marillat@debian.org>  Thu, 26 Jan 2012 08:31:34 +0100

xine-lib-1.2 (1.2.0-5) unstable; urgency=low

  * Upload to unstable.
  * libxine-dev is now libxine2-dev, so that libxine-dev (1.1) can remain
    for a while longer.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 25 Jan 2012 00:23:53 +0000

xine-lib-1.2 (1.2.0-4) experimental; urgency=low

  * Enable BluRay support.
  * Simplify dep on libjack-dev, but prefer libjack-jackd2-dev.
  * Enable hardened build flags.
  * Correctly install xine.pm for 'dh --with xine'. (Closes: #636910)
  * xine-list-1.2 no longer causes catalog.cache to be written. (Closes: #656501)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun, 22 Jan 2012 21:03:47 +0000

xine-lib-1.2 (1.2.0-3) experimental; urgency=low

  * This time, with autoreconf.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Tue, 03 Jan 2012 17:24:32 +0000

xine-lib-1.2 (1.2.0-2) experimental; urgency=low

  * Enable JACK, VDPAU and PulseAudio on hurd-i386. (Closes: #654191)
  * Whoops. Forgot to update shlibs info, causing installation fail.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Tue, 03 Jan 2012 00:12:19 +0000

xine-lib-1.2 (1.2.0-1) experimental; urgency=low

  * New upstream release.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun, 01 Jan 2012 21:24:50 +0000

xine-lib-1.2 (1.1.90hg+20110516+847d4f89a4fb-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    - Plus a few small build fixes.
  * Use GraphicsMagick instead of ImageMagick, making this bug irrelevant:
    (Closes: #625554)
  * Don't try to install the PVR or V4L input plugins (not built).
  * Force use of libav 0.7. Not strictly necessary, but good for testing.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon, 16 May 2011 16:25:31 +0100

xine-lib-1.2 (1.1.90hg+20100720+609066b321de-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
  * Temporarily disable the "broken libmodplug 0.8.8" check.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Tue, 20 Jul 2010 19:58:02 +0100

xine-lib-1.2 (1.1.90hg+20100309+8d16822f2be7-7) experimental; urgency=low

  * Don't depend on libpulse-dev on hurd-i386.
  * Add dh 7 support (dh --with xine).
  * Allow dh_xine to take package name suffixes.
    The defaults are 'x' and 'console'.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Tue, 30 Mar 2010 19:03:14 +0100

xine-lib-1.2 (1.1.90hg+20100309+8d16822f2be7-6) experimental; urgency=low

  * More FTBFS fun.
  * Correct addition of --enable-libv4l and *don't* install V4L2 on kfreebsd.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sat, 20 Mar 2010 22:27:32 +0000

xine-lib-1.2 (1.1.90hg+20100309+8d16822f2be7-5) experimental; urgency=low

  * Enable the JACK plugin and install the V4L2 plugin on kfreebsd-*.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sat, 20 Mar 2010 15:37:25 +0000

xine-lib-1.2 (1.1.90hg+20100309+8d16822f2be7-4) experimental; urgency=low

  * Enable vcdo & pulseaudio plugins on kfreebsd-*.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sat, 20 Mar 2010 01:20:56 +0000

xine-lib-1.2 (1.1.90hg+20100309+8d16822f2be7-3) experimental; urgency=low

  * Enable VDPAU on kfreebsd-*. (Attempt 2.)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 19 Mar 2010 22:31:31 +0000

xine-lib-1.2 (1.1.90hg+20100309+8d16822f2be7-2) experimental; urgency=low

  * Enable VDPAU on kfreebsd-*; don't try to install it on hurd-i386.
  * On Linux, use libv4l.
  * Tell dpkg-source to use a single patch file.
  * Add build-dep on libfaad-dev.
  * Remove obsolete Conflicts/Replaces on libxine-extracodecs.
  * Tidy up dh_clean invocation.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 10 Mar 2010 14:11:07 +0000

xine-lib-1.2 (1.1.90hg+20100309+8d16822f2be7-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    - Synced with 1.1.18.1.
    - 1.1.17 works with the new mpcdec API, so this should too.
      (Closes: #520600)
  * GNU/Hurd build changes ported from 1.1.17.
  * debian/rules:
    - don't set CFLAGS (defaults are fine);
    - add --enable-debug if DEB_BUILD_OPTS contains 'noopt'.
  * Put new plugins in the appropriate places: VDPAU in libxine2-x, VC1ES
    demuxer in libxine2-ffmpeg, V4L2 input in libxine2-misc-plugins.
  * Build-depend on libvdpau-dev.
  * Bump standards version to 3.8.4.
    - Depend on ${misc:Depends} everywhere.
    - Put libxine2-dbg in section 'debug'.
    - Tighten dependency of libxine-dev on libxine2-bin.
      (Closes: #478026, #529361)
    - Ignore a few warnings related to how the binaries and documentation
      are split between packages.
  * Don't try to install the DVB plugin on kfreebsd-* since it's not built
    there. (Closes: #565815)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Tue, 09 Mar 2010 16:44:02 +0000

xine-lib-1.2 (1.1.90hg+20091119+7af2793bc117-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    - Synced with 1.1 hg (includes 1.1.16.3).
  * Add dh_xine, for use when building front ends.
  * Add hdmv subtitles decoder to -misc-plugins.
  * Switch to source format v3 (quilt).
  * [Build] Remove po/Makevars.extra when cleaning up.
  * Have libxine2 depend on libxine2-bin (for /usr/share/doc symlinking).

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 19 Nov 2009 16:45:43 +0000

xine-lib-1.2 (1.1.90hg+20090218+678f7a60fde4-3) experimental; urgency=low

  * libmpeg2new build fix on sparc & alpha.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Tue, 03 Mar 2009 20:12:17 +0000

xine-lib-1.2 (1.1.90hg+20090218+678f7a60fde4-2) experimental; urgency=low

  * 1.2.x development branch snapshot.
    - Synced with the 1.1.16.2 release; contains all relevant security fixes.
  * Oops. The sparc-specific hack caused configure to be run twice, thus not
    actually fixing the problem at all. The hack needs to be undone in the
    clean target, after running "make distclean".
    (Closes: #453158, #460633.)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 18 Feb 2009 13:22:36 +0000

xine-lib-1.2 (1.1.90hg+20090118+608e90e5e160-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    - Synced with the 1.1.16.1 release; contains all relevant security fixes.
  * Added --build & --host to the configure flags.
  * Really ugly hack to try to get this building on sparc.
    (Bugs 453158 & 460633.)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun, 18 Jan 2009 17:37:31 +0000

xine-lib-1.2 (1.1.90hg+20090116+01754b5a1b0e-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    - Synced with the 1.1.16 release; contains all relevant security fixes.
    - Dropped JACK output diff, which hasn't been needed for a while.
    - Dropped PulseAudio output priority reversion.
    - Bumped ffmpeg dependencies to require the versions in experimental.
  * Install the mpeg2new decoder (not that it currently works very well).
  * Install the "raw" video output plugin in -misc-plugins.
  * Remove the dependency on libjack0.100.0-dev and limit to non-broken
    versions (though no problems are expected).
  * Revert an upstream change which breaks building with ImageMagick in
    experimental.
  * Standards version 3.8.0.
    - Tweaked dependency on libcdio-dev to quieten lintian.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 16 Jan 2009 17:05:15 +0000

xine-lib-1.2 (1.1.90hg+20080814+4542a8b61c15-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    (cset 4542a8b61c1518bc92ce1a76f5bac9a08f5b576f)
    - Synced with the 1.1.15 release; contains all relevant security fixes.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 14 Aug 2008 23:31:22 +0100

xine-lib-1.2 (1.1.90hg+20080612+4062642bf8eb-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    (cset 4062642bf8ebf409ecb38d21680d18d9eb62d0c1)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 12 Jun 2008 03:23:47 +0100

xine-lib-1.2 (1.1.90hg+20080524+5e58815f81a9-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    (cset 5e58815f81a9a8c1d7cdeba19da83d7ef7d07260)
  * Don't link with libstdc++ or libm when linking with libmodplug.
    (Workaround for bug 457278 and buggy build environments, fixing FTBFS.)
  * Build-depend on libmagickwand-dev instead of libmagick9-dev.
  * Resync debian/* with 1.1; distribute xine-lib-1.2.
  * Disabled nsf.
  * Replaced the JACK audio-put plugin (bug 462663).

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sat, 24 May 2008 20:23:30 +0100

xine-lib-1.2 (1.1.90hg+20080402+f29350241e48-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    (cset f29350241e4875e5e2df3715830a0926bea94680)
    - Synced with the 1.1.11.1 release; contains all relevant security fixes.
  * Restore pulseaudio priority (changed since 1.1.11.1) to its 1.1.11.1
    value. Otherwise, things break when pulseaudio isn't running.
  * Bump minimum versions on the build-depends on ffmpeg -dev packages so
    that the packages in experimental are used.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 02 Apr 2008 21:06:42 +0100

xine-lib-1.2 (1.1.90hg+20080321+5ac9723858b2-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    (cset 5ac9723858b289882a26cd006c08a51d7a76e784)
    - Synced with the 1.1.11 release; contains all relevant security fixes.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 21 Mar 2008 00:18:41 +0000

xine-lib-1.2 (1.1.90hg+20080229+9fc6fdc5c795-1) experimental; urgency=low

  * 1.2.x "St. Tib's Day" development branch snapshot.
    (cset 9fc6fdc5c7959b3a2df03c0740377b4424e28c44)
  * Using bzip2 compression for the .debs.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 29 Feb 2008 19:53:46 +0000

xine-lib-1.2 (1.1.90hg+20080214+db71e67bee03-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    (cset db71e67bee037142234750a216597c7811cc7df5)
    - CVE-2008-0486: Array index vulnerability which may allow remote
      attackers to execute arbitrary code via a crafted FLAC tag, which
      triggers a buffer overflow. (Closes: #464696)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 14 Feb 2008 22:17:50 +0000

xine-lib-1.2 (1.1.90hg+20080127+4dbd3fc1ce2b-1) experimental; urgency=low

  * 1.2.x development branch snapshot.
    (cset 4dbd3fc1ce2b9a6102247159cb56a7cb0e9d6be8)
    - SECURITY FIX: ASF header-parsing overflow (related to CVE-2006-1664)
    - syncfb plugin has been removed
  * Start including the cset ID in the version no.
  * Put libxine2-doc back in section doc. I'd moved it to match the
    override... Also, correct libxine2-dev -> doc (20080111-1 entry).
  * Patches dropped (already committed upstream).
  * Standards version 3.7.3 (no changes needed).

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon, 28 Jan 2008 01:16:06 +0000

xine-lib-1.2 (1.1.90hg+20080111-1) experimental; urgency=low

  [Darren Salt]
  * 1.2 development branch snapshot.
    (cset 1dad98a822c64406810fff529669bfc6f2509a9e)
    - SECURITY FIX: rtsp header-parsing overflow (CVE-2008-0225)
  * Put libxine2-doc in section libdevel.
  * Adjust libxine2-vdr & libxine2-misc-plugins install files for recent
    changes in the vdr & sputext plugins' organisation.
  * Patches from upstream:
    - fix some WMV rendering bugs (cset 4ea95338a408)
  * Have libxine-dev depend on pkg-config. This is needed for xine-config.
  * Add the Technotrend PVA demuxer to libxine2-misc-plugins.

  [Reinhard Tartler]
  * Bug fix: "FTBFS with dpkg-buildpackage -j; build target doesn't properly
    depend on configure target", thanks to Michel Dänzer (Closes: #457281).

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun, 13 Jan 2008 13:27:40 +0000

xine-lib-1.2 (1.1.90hg+20071219-1) experimental; urgency=low

  [Darren Salt]
  * 1.2 development branch snapshot.
    (cset b4c8c6b8358f873afc46152075c76aebf820cbdf)
  * Port changes from the 1.1.x branch:
    - libxine2-dbg was missing some debug symbols. Fixed by building it
      after xine-lib's other arch:any packages.
    - Introduce a new package, libxine2-bin, which contains the binaries
      formerly in libxine2. Dependencies are moved and updated accordingly.
    - Except for libxine2-doc, libxine2-bin and libxine-dev, symlink to
      libxine2-bin's documentation. (AUTHORS is now in libxine2-bin.)
    - Add libxine2-all-plugins; drop dependency on libxine2-gnome from
      libxine2-plugins. (Bug 454162)
    - Adjust dependencies on libxine2-dev and libxine2-dbg.
    - Typo "a various plugins" in package description. (Bug 455067)
  * Re-add the pulseaudio plugin (it's been somewhat rewritten).
  * Add the playlist demux plugin.

  [ Reinhard Tartler ]
  * Add DM-Upload-Allowed: yes field to debian/control.
  * Remove automake, autoconf and libtool from build-dependencies.
  * remove libartsc0-dev from build depends.
  * readd libpuse-dev build depends.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 19 Dec 2007 17:39:10 +0000

xine-lib-1.2 (1.1.90hg+20071125-1) experimental; urgency=low

  [ Darren Salt ]
  * 1.2 development branch snapshot.
    (cset 0b1ecd21a6263d065aa76152de340dc33a6274f7)
  * Drop build dependency on gs.

  [ Reinhard Tartler ]
  * Add build dependency on libvcdinfo-dev
  * remove the pulse audio plugin, as done in the upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 26 Nov 2007 13:49:48 +0100

xine-lib-1.2 (1.1.90hg+20071025-1) UNRELEASED; urgency=low

  * 1.2 development branch snapshot.
    (cset ae9a2fddb2b6b50dab2a7ac649b2307719c78fe2)
  * Pull in changes, post 1.1.8-1, which aren't already present:
    - Move libxine2-doc into section "doc".
    - Improve package descriptions a bit; in particular, a grammatical
      correction for libxine2-console, and an extra sentence describing common
      uses of libxine2-ffmpeg.
    - New packages "libxine2-x" and "libxine2-misc-plugins";
      dependencies updated accordingly.
    - Remove outdated alternative dependencies from libxine-dev.
    - Move the fb video output plugin into libxine2-console.
    - Add Homepage field to debian/control
    - Extra MPEG video identifier (seen in an AVI).
  * Unlike 1.1.8-2, no dependencies on libxine2-x or libxine2-console.
  * Correct a few errors in the changelog entry for the previous upload.
  * Tighten the dependencies of libxine1 and libxine1-plugins on libxine1-*
    packages.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon, 29 Oct 2007 18:12:54 +0000

xine-lib-1.2 (1.1.90hg+20070930-1) experimental; urgency=low

  [ Darren Salt ]
  * 1.2 development branch snapshot.
    (cset 717b46d826e66cb37632dab4f7a1ad78fdaa17cd)
  * Adjust installed files to reflect merged/renamed demuxer & decoder
    plugins.
  * New package libxine2-vdr.

  [ Reinhard Tartler ]
  * use dh_listpackages(1) instead of hardcoded list in debian/rules
  * remove workaround for mips. That should be fixed by now.c
  * make libxine-dev arch: any. Rationale: This breaks building frontends
    on architectures on which xine-lib is not up-to-date (yet).

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 02 Oct 2007 14:35:57 +0200

xine-lib (1.1.12-3) unstable; urgency=low

  * Build-depend on libmagick9-dev | libmagick-dev | libmagickwand-dev.
  * Fixes from upstream hg:
    - Fix display of some MJPEG streams.
    - Fix a title usage bug in the ogg demuxer.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 22 May 2008 23:01:57 +0100

xine-lib (1.1.12-2) unstable; urgency=high

  * Fixes from upstream hg:
    - CVE-2008-1878: Buffer overflow in the NSF demuxer which may allow
      remote attackers to cause a denial of service (crash) or possibly
      execute arbitrary code via an NSF file with a long title or copyright
      message.
      (Our chosen option is to patch and disable this code.)
    - Backport more calloc usage from the 1.2 branch for extra safety
      against possible integer overflows such as found in CVE-2008-1482.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun, 27 Apr 2008 14:20:41 +0100

xine-lib (1.1.12-1) unstable; urgency=high

  * New upstream release.
    - CVE-2008-1686: Insufficient boundary check in speex audio decoder.
    - New tool "xine-list-1.1", which front-end maintainers will find useful
      for updating .desktop files at install time and in conjunction with
      dpkg triggers.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon, 14 Apr 2008 23:39:44 +0100

xine-lib (1.1.11.1-3) unstable; urgency=medium

  * Fixes from upstream hg:
    - Matroska demuxer regression. (Closes: #474316)
    - PulseAudio plugin backported & re-enabled.
      This takes precedence over ALSA, but falls back cleanly.
  * Re-enabled & replaced the JACK audio-put plugin. (Closes: #462663)
    This has not yet been committed upstream.
  * Don't link with libstdc++ or libm when linking with libmodplug.
    (Workaround for bug 457278 and buggy build environments, fixing FTBFS.)
  * Urgency=medium; t-p-u has a security-patched version, but it also has
    backported bugs...

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 09 Apr 2008 15:35:07 +0100

xine-lib (1.1.11.1-2) unstable; urgency=high

  * Fixes from upstream hg:
    - Quicktime demuxer regression. (Closes: #473499, #473631)
    - Wavpack MIME type information.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Tue, 01 Apr 2008 15:05:02 +0100

xine-lib (1.1.11.1-1) unstable; urgency=high

  * New upstream release.
    - CVE-2008-1482: integer overflows in FLV, Qt, Real, WC3Movie, Matroska
      and FILM demuxers, allowing remote attackers to trigger heap overflows
      and possibly execute arbitrary code. (Closes: #472639)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun, 30 Mar 2008 15:15:04 +0100

xine-lib (1.1.11-1) unstable; urgency=high

  * New upstream release.
    - CVE-2008-0073: Array index vulnerability which may allow remote
      attackers to execute arbitrary code via a crafted SDP parameter in an
      RTSP stream.
    - DVD reader code no longer uses UDF-provided file sizes as
      authoritative. (Closes: #463177)

  [Darren Salt]
  * Remove the versioning from the libmagick9-dev build-dep.
  * Disable the pulseaudio plugin (don't build, don't install) and remove
    the build-dep on libpulse-dev for now due to instability: xine-lib has
    been observed closing the stream due to audio problems.
    (Closes: #471676)

  [ Reinhard Tartler ]
  * add support for 'parallel' keyword in DEB_BUILD_OPTIONS

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 20 Mar 2008 22:39:24 +0000

xine-lib (1.1.10.1-2+lenny2) testing-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * This update addresses the following security issues:
    - CVE-2008-1878: stack-based buffer overflow in nsf demuxer that
      allows execution of arbitrary code via a crafted title (Closes: #476990)
    - CVE-2008-1686: insufficient boundary checking on a header structure that
      is read from user input could lead to arbitrary code to arbitrary
      code execution via negative values (Closes: #475152).
    - CVE-2008-0073: stack-based buffer overflow in subtitle parsing could
      lead to arbitrary code execution via a crafted subtitle
      file (Closes: #473057).

 -- Nico Golde <nion@debian.org>  Sun, 04 May 2008 13:20:43 +0200

xine-lib (1.1.10.1-2+lenny1) testing-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix various integer overflows in FLV, Qt, Real, WC3Movie, Matroska and FILM
    demuxers, allowing remote attackers to trigger heap overflows and
    possibly execute arbitrary code and other possible NULL pointer
    dereferences caused my missing alloc checks.
    (CVE-2008-1482; Closes: #472639)

 -- Nico Golde <nion@debian.org>  Tue, 01 Apr 2008 14:38:40 +0200

xine-lib (1.1.10.1-2) unstable; urgency=low

  [Darren Salt]
  * libxine-dev: backport an m4 version-parsing fix from hg.
  * Fixed an off-by-one (introduced in the security fix) which breaks
    playback of some FLAC files. (Closes: #466746)
  * Versioned build-dep on libmagick9-dev (for libmagick10). (Closes: #466681)
    Add libmagick-dev as an alternative, with the same version requirement.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 20 Feb 2008 23:43:05 +0000

xine-lib (1.1.10.1-1) unstable; urgency=high

  * New upstream release.
    - CVE-2008-0486: Array index vulnerability which may allow remote
      attackers to execute arbitrary code via a crafted FLAC tag, which
      triggers a buffer overflow. (Closes: #464696)
    - Real codec detection was looking in the wrong places. (Closes: #462964)

  [Darren Salt]
  * Add pkg-config dependency to libxine-dev, fixing xine-plugin FTBFS.
    (Closes: #464178, #464321)
  * Put libxine1-doc back into section doc until somewhere better is created
    for it. (Closes: #462710)
  * No longer build-conflict with libxine-dev from xine-lib-1.2. This is no
    longer needed due to link order changes.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 08 Feb 2008 17:25:21 +0000

xine-lib (1.1.10-1) unstable; urgency=high

  * New upstream release (Closes: #459836)...
  * ... fixing some security bugs:
    - CVE-2008-0225: Heap-based buffer overflow in rmff_dump_cont function
      which allows remote attacker to execute arbitrary code via a crafted
      SDP Abstract attribute (Closes: #460551).
      This also acks 1.1.8-3+lenny1 (NMU by the security team).
    - Related to CVE-2006-1664: Buffer overflow which allows a remote
      attacker to execute arbitrary code or crash the client program via a
      crafted ASF header.
  * ... and fixing some other bugs, including:
    - Disappearing audio. (Closes: #461970)

  [ Darren Salt ]
  * Build-depend on gs-gpl | gs. Avoids FTBFS where recommended packages
    aren't automatically installed.
  * Put libxine1-doc in section libdevel.
  * Move libxine1-doc | libxine-doc to Suggests: in libxine1. (Closes: #458103)
  * Add postinst scripts to ensure that the documentation symlinks are
    properly created. (This is really dpkg bugginess.) (Closes: #458865)
  * Standards version 3.7.3; no changes needed.

  [ Reinhard Tartler ]
  * Actually install xineplug_decode_w32dll.so and xineplug_decode_qt.so
    on i386. debian/rules accidentally used $< where it should have been
    $^. Thanks to Gert Kulyk for reporting!                  LP: #182400
  * Fix XS-Hg-VCS headers in debian/control                  LP: #183886

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sat, 26 Jan 2008 22:16:28 +0000

xine-lib (1.1.9-1) unstable; urgency=low

  * New upstream release.

  [Darren Salt]
  * Re-enable the pulseaudio plugin.

  [Reinhard Tartler]
  * Remove really unnecessary versioned build depends on binutils. Even
    oldstable (sarge) has a newer version available.
  * Bug fix: "unable to handle ipv6 MRLs", thanks to Mau (Closes:
    #448801).

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 10 Jan 2008 21:57:10 +0000

xine-lib (1.1.8-5) unstable; urgency=low

  [Darren Salt]
  * Build fix: avoid lots of "make install" invocations (introduced in -4).
  * Fix dependency issues with respect to documentation symlinks.
    The problem was an incorrect debian/shlibs.local.	(Closes: #457328)
  * Use a symlink for libxine1-dbg's documentation (this got missed in -4).
  * libxine1-bin (-4) should have contained AUTHORS. This is fixed.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sat, 22 Dec 2007 17:49:54 +0000

xine-lib (1.1.8-4) unstable; urgency=low

  [Darren Salt]
  * libxine1-dbg was missing some debug symbols. Fixed by building it after
    xine-lib's other arch:any packages.
  * Introduce a new package, libxine1-bin, which contains the binaries
    formerly in libxine1. Dependencies are moved and updated accordingly.
    thanks to Bill Allombert.  (Closes: #454267)
  * Except for libxine1-doc, libxine1-bin and libxine-dev, symlink to
    libxine1-bin's documentation. (AUTHORS is now in libxine1-bin.)
  * Backported patches from upstream 1.1 branch:
    - Fix compilation of DXR3 support with external ffmpeg.
      This is currently only needed for compilation against libavcodeccvs-dev
      (from debian-multimedia). Untested with actual DXR3 hardware since I
      have none.                                           (cset e55bc398cc7c)
    - Fix a problem with non-seekable Flash video          (cset de8c671a419c)
    - Fix "missing" channels.conf with ATSC                (cset fd875c4a15bc)
    - Fix a possible crash when changing channels (DVB)    (cset bf1ec833d87a)
    - Don't stop reading Ogg streams early                 (cset e4c8ac4a6b49)
    - Fix a possible crash when a video output is closed   (cset 06494c094761)
    - Fix a possible crash when video playback is finished (cset 293845e465cc)

  [ Reinhard Tartler ]
  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr and Daniel Schepler (Closes: #455438, #455322).
  * Bug fix: "libxine1-plugins: should not depend on libxine1-gnome",
    thanks to Hermogenes Hebert Pereira Oliveira. (Closes: #454162).
    Instead, a new package is introduced: libxine1-all-plugins, which
    additionally depends on the gnome plugin.
  * remove the jack plugin. According to upstream it is unfinished and of
    poor quality. A rewrite is available in the 1.2 branch.
  * adjust dependencies on libxine1-dev and libxine1-dbg
  * add XS-DM-Upload-Allowed: yes field to debian/control
  * Bug fix: "xine-lib: FTBFS on GNU/kFreeBSD (debian specific part)",
    thanks to Petr Salinger (Closes: #449531). Patch applied with some
    (minor) modifications.
  * Bug fix: "libxine1: FTBFS on GNU/kFreeBSD", thanks to Uwe Hermann
    (Closes: #438849). Patch taken from upstream hg repo, cset
    1db8870cd7c9
  * Bug fix: "typo "A various plugins" in package description",
    thanks to Philippe Cloutier (Closes: #455067).

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Dec 2007 17:07:48 +0100

xine-lib (1.1.8-3+lenny1) testing-security; urgency=high

  * Non-maintainer upload by security team.
  * This update addresses the following security issue:
    - CVE-2008-0225: Heap-based buffer overflow in rmff_dump_cont function
    which allows remote attacker to execute arbitrary code via a crafted
    SDP Abstract attribute (Closes: #460551).

 -- Nico Golde <nion@debian.org>  Sun, 13 Jan 2008 16:12:48 +0100

xine-lib (1.1.8-3) unstable; urgency=low

  [Darren Salt]
  * Patches from the 1.1.9 dev tree:
    - Silence "lacing: N" messages from the matroska demuxer.
    - Extra identifier for MPEG video (in AVIs etc.).
  * Tighten the dependencies of libxine1 and libxine1-plugins on libxine1-*
    packages.
  * Move deps on libxine1-{x,console} from libxine1-plugins to libxine1 to
    avoid further problems such as bug 448077.

  [ Reinhard Tartler ]
  * remove gs from build-deps
  * don't build the pulseaudio plugin. (Closes: #452211, #427991)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 25 Nov 2007 23:20:54 +0100

xine-lib (1.1.8-2) unstable; urgency=low

  [Reinhard Tartler]
  * use dh_listpackages instead of hardcoded list for determining the
    provided binary packages.
  * Bug fix: "Depends->Recommends dependency change breaking other
    packages", thanks to Christoph Pfister and Sune Vuorela
    (Closes: #439389)
    - introduce new package libxine1-misc-plugins, which contains
      (nearly) all plugins formerly found in the package libxine1.
    - promote all dependencies of libxine1-misc-plugins to Depends.
    - Make libxine1 depend on libxine1-plugins | libxine1-misc-plugins.
      Apt will prefer the first alternative, which results many
      plugins installed by default. Caveat: If one plugin package has
      unsatisfiable dependencies, the user will end up with only
      libxine1-misc-plugins installed.
    - Make libxine1-plugins depend on libxine1-misc-plugins.
    - Make libxine1-plugins not depend on libxine1-console.
    - NB: From now on, frontends need to explicitly depend on either
      libxine1-x or libxine1-console, depending on whether they are
      console based (like cacaxine or fbxine) or X11 based (like gxine).
      libxine1-plugins will not depend on libxine1-x or libxine1-console.
  * Make libxine1-dev Arch:any. Being arch:all makes a lot of trouble
    building frontends on architectures that are out of sync.
  * Remove alternative depends on libz-dev (not found even in oldstable)
    and slang1-dev (not found in stable, only oldstable) from libxine1-dev.
  * Add Homepage field to debian/control

  [Darren Salt]
  * Add patches from upstream:
    - DVD MRL title.chapter fix
  * Move libxine1-doc into section "doc".
  * Improve package descriptions a bit; in particular, a grammatical
    correction for libxine1-console, and an extra sentence describing common
    uses of libxine1-ffmpeg.
  * New package libxine1-x, which contains the X-based video output plugins.
    These were previously in libxine1.
  * Move the fb video output plugin into libxine1-console.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sat, 20 Oct 2007 18:01:27 +0100

xine-lib (1.1.8-1) unstable; urgency=low

  * New upstream release. (Closes: #440248)

  [Darren Salt]
  * Remove config.log when cleaning the build tree.

  [Reinhard Tartler]
  * Bug fix: "libxine1: copyright file references non-existent AUTHORS
    file", thanks to Felipe Sateler (Closes: #438677).

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon, 27 Aug 2007 20:59:37 +0100

xine-lib (1.1.7-3) unstable; urgency=low

  * promote dependencies of xineplug_dmx_audio.so from Suggests to
    Recommends. This is necessary for e.g. mp3 files or streams
    (Closes: #437906, #437693),  thanks to François Valenduc and
    Paulo Marcel Coelho Aragão.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 Aug 2007 09:51:53 +0200

xine-lib (1.1.7-2) unstable; urgency=low

  [Darren Salt]
  * Enable the wavpack plugin. (Closes: #437331)
  * Correct the description of libxine-doc. (Closes: #432919, #435590)
  * Build-depend on libjack-dev.
  * Enable freetype support. (Closes: #416077)
  * Add patches from upstream:
    - allow using ffmpegvideo w/o direct rendering to play mpeg2 ts;
    - handle escaped characters in DVD MRLs;
    - fix attempted free of static data, e.g. when using "dvd:/";
    - rename mrl_unescape & export it (needed by the previous fix).
    These are csets acc7197f7cca, 2e301bc2cce8, 09e652c8188f & 82bc4a5c2b4c.

  [ Reinhard Tartler ]
  * libxine1: demote all dependencies of the plugins to Recommends.
    This includes the directfb plugin and therefore Closes: #427982.
  * introduce debian/shlibs.local.libxine1 to avoid self-dependency of
    libxine1. Fixes a lintian warning.
  * some small changes to package descriptions.
  * debian/rules: Don't ignore potential failiures in clean when running
    $(MAKE) distclean. Check for presence instead (thanks lintian).

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Aug 2007 00:38:45 +0200

xine-lib (1.1.7-1) unstable; urgency=low

  * New upstream release.
    - Built against new FLAC. (Closes: #426677)
    - The arts plugin is no longer built by default.
      (Closes: #257368, #354437, #396219)
    - RealPlayer codec detection works properly now. (Closes: #416245)
    - vcd playback has been fixed upstream (Closes: #364837)

  [Darren Salt]
  * Added libxine1-doc. This will be needed once 1.2 is released to avoid
    problems with xine(5), and is useful now for development purposes.
  * Made libxine-dev conflict with & replace libxine2-dev for similar reasons.
  * Since the arts plugin is no longer built:
    - removed libxine1-kde and the associated build-dep on libartsc0-dev;
    - made libxine-plugins conflict with and replace libxine1-kde.
  * Minor package description fixes.

  [Reinhard Tartler]
  * move the gdk plugin to the libxine-gnome package
  * make watch file using the qa.debian.org sf redirector
  * add -lpthread to PTHREAD_LIBS on mipsen

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 07 Jun 2007 16:05:20 +0200

xine-lib (1.1.6-2) unstable; urgency=low

  * upload to unstable since we finally have now all needed dependencies
    available.
  * restore a lot of the lost changelogs from
    http://changelog.debian.net/xine-lib

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 May 2007 10:47:34 +0200

xine-lib (1.1.6-1) experimental; urgency=low

  [ Reinhard Tartler]
  * add libxcb-xv0-dev, libxcb-shm0-dev, libxcb-shape0-dev to build
    dependencies and enable xcb support
  * make libxine1 an arch: all package, no architecture dependent part
    inside there.
  * make xine-lib binNMU safe
  * fetch po/de.po from upstream hg repo, which was updated shortly after
    the 1.1.6 release
  * Darren added himself as comaintainer

  [ Darren Salt]
  * New upstream release.
    - Patches dropped, since they all came from upstream.
    - More debug compilation failures fixed. (Closes: #339523)
  * Patches imported from upstream since 1.1.6 release:
    - limit common-case buffer copying optimisation to i386 & amd64

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 Apr 2007 16:47:23 +0200

xine-lib (1.1.5-2) experimental; urgency=low

  * add libjack0.100.0-dev to build depends, fixes FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 12 Apr 2007 14:40:33 +0200

xine-lib (1.1.5-1) experimental; urgency=low

  * new upstream release!
  * whitespace-cleanup in debian/control
  * Builds again on sparc (Closes: #410538)
  * build again against externel ffmpeg found in experimental
  * cleanup/clarify the package descriptions, mentioning the included plugins
    (Closes: #410426)
  * remove xineplug_decode_real_audio.so from debian/libxine1.install;
    it has been dropped upstream.
  * add libdirectfb-dev to build depends, enabling directfb support
  * use external musepack libs
  * import manpage fix from upstream
  * add XS-Vcs headers pointing to alioth

  [Darren Salt]
  * Enabled the gdkpixbuf plugin.
  * Split up the DirectFB code, building separate plugins for X11 and
    console. (Applied upstream.)
  * Added a note about the packaging repository to README.Debian.

 -- Reinhard Tartler <siretart@tauware.de>  Sun,  8 Apr 2007 19:21:08 +0200

xine-lib (1.1.4-2) experimental; urgency=low

  * merge changes from ubuntu
  * make build deps multiline

 -- Reinhard Tartler <siretart@tauware.de>  Sun,  4 Feb 2007 12:06:25 +0100

xine-lib (1.1.4-1ubuntu2) feisty; urgency=low

  * install shlibs.local file to tighten dependency on libxine1
  * add build dependency on libmagick9-dev to build to 
    dmx_image and decoder_image plugin. Also add them to libxine1.install
  * install the xine(5) manpage to package libxine1
  * Bumb shlibs file (forgotten in 1.1.4-1)
  
 -- Reinhard Tartler <siretart@tauware.de>  Sun,  4 Feb 2007 09:05:58 +0100

xine-lib (1.1.4-1ubuntu1) feisty; urgency=low

  * merge new upstream release from debian

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 29 Jan 2007 15:48:31 +0100

xine-lib (1.1.4-1) experimental; urgency=low

  * New upstream release!
  * Tons of bugfixes, see /usr/share/doc/libxine1/changelog.gz
  * Now playes sound in *.flv files (Closes: #396161)
  * use internal ffmpeg copy for now, since debian's copy is too old :(
    Will reenable building against debian's ffmpeg ASAP.
  * add libpulse-dev to build depends, enable pulseaudio support

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 27 Jan 2007 18:26:09 +0100

xine-lib (1.1.3-1ubuntu2) feisty; urgency=low

  * debian/control: Add libpulse-dev to build dependencies to enable
    PulseAudio output support.
  * debian/libxine1.install: Add xineplug_ao_out_pulseaudio.so to
    list of installed plugins.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 24 Jan 2007 23:31:42 -0500

xine-lib (1.1.3-1ubuntu1) feisty; urgency=low

  * Introduce new package libxine-extracodecs to facilitate upgrades
  * merge from 1.1.3 branch for debian/experimental. 
  * additional patch: fix ftbfs on kFreeBSD
  
  * ubuntu specific changes:

    - libxine-main1 and libxine1-ffmpeg dummy package for upgrades from
      dapper. Keep this package until (and including) the next LTS 
      release of ubuntu!

 -- Reinhard Tartler <siretart@tauware.de>  Wed,  3 Jan 2007 22:12:20 +0100

xine-lib (1.1.3-1) experimental; urgency=low
  
    * New upstream fixes: "support for xvid files", thanks to
      \[ATR\]Dj-Death (Closes: #319805).
    * New upstream fixes: "libxine1: Jack output plugin missing", thanks to Tanu
      Kaskinen (Closes: #392619).
    * plays vorbis files again (Closes: #400274)
    * Introduce new packages: libxine1-ffmpeg and libxine1-gnome to tighten
      dependencies.
      - splitting out libxine1-gnome works around Bug: "libxine1: remote
      streams do not work without non-dependency libgnomevfs2-0", thanks to
      Michael Marsh (addresses: #309040).
      - splitting out libxine-kde works around bugs #257368, #354437
    * Bump to debhelper compat 5
    * disable gdk (fixing ftbfs) and vidix (as being unmaintained) for
      now. Please contact me if you are willing and able to test it
      extensively
    * apply textrel patch from gentoo
    * add transfig, gs, sgmltools-lite to build deps to build developer
      documentation as well
    * apply patch for freebsd support. Thanks to Aurelien Jarno <aurel32@debian.org>.
      (Closes: #325489)

    [Darren Salt]
    * Updated the watch file - should work regardless of changes at Souceforge.

 -- Reinhard Tartler <siretart@tauware.de>  Wed,  3 Jan 2007 19:57:43 +0100

xine-lib (1.1.3-0ubuntu1) feisty; urgency=low

  * disable jack output plugin because jack is not in main
  * merge from unreleased 1.1.3 branch targeted for debian. ubuntu
    specific changes:

    - libxine-main1 dummy package for upgrades from dapper. Keep this
      package until (and including) the next LTS release of ubuntu!

 -- Reinhard Tartler <siretart@tauware.de>  Tue,  2 Jan 2007 23:05:20 +0100

xine-lib (1.1.3-0) UNRELEASED; urgency=low

  * New upstream fixes: "support for xvid files", thanks to
    \[ATR\]Dj-Death (Closes: #319805).
  * plays vorbis files again (Closes: #400274)   
  * Introduce new packages: libxine1-ffmpeg and libxine1-gnome to tighten
    dependencies.   
    - splitting out libxine1-gnome works around Bug: "libxine1: remote
    streams do not work without non-dependency libgnomevfs2-0", thanks to
    Michael Marsh (addresses: #309040).
    - splitting out libxine-kde works around bugs #257368, #354437
  * built against internal ffmpeg
  * Bump to debhelper compat 5
  * disable gdk (fixing ftbfs) and vidix (as being unmaintained) for
    now. Please contact me if you are willing and able to test it
    extensively
  * apply textrel patch from gentoo
  * add transfig, gs, sgmltools-lite to build deps to build developer
    documentation as well
  * make libxine1 recommend libxine1-ffmpeg so it gets installed by default
  * apply patch for freebsd support. Thanks to Aurelien Jarno <aurel32@debian.org>. 
    (Closes: #325489)

  [Darren Salt]
  * Updated the watch file - should work regardless of changes at Souceforge.
  
 -- Reinhard Tartler <siretart@tauware.de>  Tue,  2 Jan 2007 22:14:14 +0100

xine-lib (1.1.2+repacked1-0ubuntu2) edgy; urgency=low

  * undo backport of this commit because of FTBFS on powerpc, ia64 and sparc:
    -  [xine-lib @ 2006-07-12 21:08:46 by dsalt]
       Tidy up the formatting of tvtime method help texts to allow better wrapping
       by the front end.
  * add recommends on libxine-extracodecs (recloses Malone #56699)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Sep 2006 20:10:04 +0200

xine-lib (1.1.2+repacked1-0ubuntu1) edgy; urgency=low

  * repacked the orig tarball. We can get rid of most diff by enabling
    --enable-external-ffmpeg
  * revert the caca related backport from upstream, we will keep the
    old libcaca for edgy
  * -dbg package is Priority: extra
  * remerged with debian. Changes:
    - ripped of plugins from the sources (see xine-extracodecs):
      + ffmpeg
      + faad
      + libmad (mp3 plugin)
    - fix FTBFS in src/post/deinterlace/plugins/greedy2frame_template.c by
      adding src/post/deinterlace/plugins/mangle.h from
      src/libffmpeg/libpostproc.
    - libxine-main1 dummy package for upgrades from dapper. Keep this
      package until (and including) the next LTS release of ubuntu!
    - tighten build dependency on binutils according to dh_strip manpage
    - insert a copy of libpostproc (from upstream source tarball) at
      src/libpostproc. Actually, this is how it was in the previous ubuntu
      package. Note that this is only for the planar postprocessing plugin,
      which should be moved to the xine-extracodecs package in an later
      upload.
    - Adjust configure.ac, src/Makefile.am and src/post/planar/Makefile.am
      for the new location of libpostproc

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Sep 2006 22:28:12 +0200

xine-lib (1.1.2+dfsg-4) unstable; urgency=low

  * Very focused patches from upstream:
  * src/input/net_buf_ctrl.c: Fix a div-by-zero crash
  * xine-lib/src/input/input_http.c: http parsing fix
  * don't disable alignment of stack variables. Patch applied upstream,
    got extensive testing in ubuntu, upstream and experimental. Does avoid
    a confusing warning in the ffmpeg plugin.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 18 Mar 2007 00:49:32 +0100

xine-lib (1.1.2+dfsg-3) unstable; urgency=high

  * [CVE-2007-1246]: DMO decoder heap allocation overflow. Thanks for the
    patch, Kees Cook and A Mennucc! (Closes: #414072)

 -- Reinhard Tartler <siretart@tauware.de>  Fri,  9 Mar 2007 09:37:43 +0100

xine-lib (1.1.2+dfsg-2) unstable; urgency=medium

  * Bug fix: "CVE-2006-6172: xine-lib libreal Buffer Overflow
    Vulnerabilities", thanks to Stefan Fritsch (Closes: #401740).

 -- Reinhard Tartler <siretart@tauware.de>  Wed,  6 Dec 2006 22:15:11 +0100

xine-lib (1.1.2+dfsg-1) unstable; urgency=medium

  * Urgency medium for fixing release critical bug
  * replace cetus.ttf with a new one based on FreeSans.ttf. Many thanks go
    to Sune Vuorela for creating this! (Closes: #393677)
  * apply patch from http://bugzilla.gnome.org/show_bug.cgi?id=344592 to
    fix title menu if there is no DVD menu. (Closes: #369319)
  * rename to XS-X-Vcs-Bzr field

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 26 Oct 2006 23:16:12 +0200

xine-lib (1.1.2-6) unstable; urgency=low

  * change override for -dbg package to extra
  * added X-Vcs-Bzr tag to the source package
  * revert the following commit from upstream, because it causes FTBFS on
    many arches:
    -  [xine-lib @ 2006-07-12 21:08:46 by dsalt]
        Tidy up the formatting of tvtime method help texts to allow better wrapping
        by the front end.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Sep 2006 21:49:56 +0200

xine-lib (1.1.2-5) unstable; urgency=low

  * Urgency kept low despite RC bug. (only FTBFS bug, does not affect testing)
  * fetched patches from 1.1.3 branch:
   -  [xine-lib @ 2006-07-12 21:08:46 by dsalt]
       Tidy up the formatting of tvtime method help texts to allow better wrapping
       by the front end.
   -  [xine-lib @ 2006-07-21 03:31:42 by dgp85]
       Fix building with LOG enabled.
   -  [xine-lib @ 2006-07-21 04:47:17 by dgp85]
       When trying to get the langinfo code, first of all, set the locale,
       or you'll always get ANSI/ASCII.
   -  [xine-lib @ 2006-08-05 13:31:13 by hadess]
       use the gdkpixbuf loader to handle JPEG stills in Quicktime movies, as
       the ffmpeg MJPEG decoder isn't appropriate
   -  [xine-lib @ 2006-08-05 13:34:42 by hadess]
       avoid crashing when the FLAC file is broken
   -  [xine-lib @ 2006-08-08 03:15:02 by miguelfreitas]
         patch by Chris Brien
         1) Return the stream length correctly. This fixes a FIXME.
         2) Set the width and height metadata.
         3) Reset the demuxer status to DEMUX_OK on seek.
       (in  src/demuxers/demux_rawdv.c)
   -  [xine-lib @ 2006-08-08 03:34:15 by miguelfreitas]
        video/x-ms-wma -> audio/x-ms-wma
        (in src/demuxers/demux_asf.c)
        Update API for libcaca 0.99. Patch by cjacker huang.
        Update libcaca check to use the pkg-config file shipped with libcaca
        0.99, and change --disable-caca to --without-caca (to conform with
        other external libraries).
        Remove reference to removed caca.m4 (libcaca 0.99 will use
        pkg-config).
        Removed m4/caca.m4 (Closes: #386745)
  * Dropped Replaces on xine-dvdnav (only in woody) and xine (only in
    potato!)
  * Dropping Conflicts on sinek and xine-ui (<< 0.9.10) (all only woody)
  * cleaning m4/caca.m4, no longer used
  * removing doc/faq/faq.html doc/faq/faq.txt doc/hackersguide/hackersguide.html 
    on clean, missed by build system
  * include some targets to build 'orig' tarballs from the current branch.
    This mainly for my convenience for bootstrapping cvs versions of xine and
    preparing tarballs for the 'main' section of ubuntu, which I carry here in
    order to minimize divergence

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 14 Sep 2006 21:27:27 +0200

xine-lib (1.1.2-4) unstable; urgency=low

  * build against external liba52
  * Bug fix: "libxine1: Please use the Debian ffmpeg version", thanks to
    Josselin Mouette. Please note that the ffmpeg version used has WMV3
    support. Unfortunately, this version of xine cannot use that support
    yet. This is 1.1.3 stuff. (Closes: #367095).
  * Bug fix: "libxine1: Please support m4b files", thanks to Johannes
    Adams. Bugfix by copying src/demuxers/demux_qt.c from CVS
    version. (Closes: #384435).
  * Build against internal libvcdinfo for now and add libvcdinfo-dev to
    build-conflicts. This is a workaround for Bug: #364837, using internal
    libvcdinfo makes the segfault go away.
  * install a note for reportbug users
  * cleanup (actually remove) confusing and unnecessary documentation.
  * fetch bug from upstream cvs to fix bug where incorrect aspect ratio was
    being passed to post plugins up (src/post/planar/expand.c, rev 1.16)
  * add build dependency on sgmltools-lite to build faq
  * add build dependencies transfig and gs to correctly build the
    hackersguide
  * bump shlibs to this revision because of changes in libcaca output plugin

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 27 Aug 2006 21:41:58 +0200

xine-lib (1.1.2-3) unstable; urgency=low

  * backport fix for cdda:/ MRL from upstream (Closes: #276728)
  * add note from darren to xine(5) as well
  * fix totem-xine crashing when started with no argument (closes: #370283)
    (patch taken from upstream)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 12 Aug 2006 00:27:15 +0200

xine-lib (1.1.2-2) unstable; urgency=high

  Urgency high because of security related upload

  * readd debian/watch file
  * update debian/rules from CVS. more complete handling of noauto flag
    to prevent running auto* tools.
  * disable AC_C_ALWAYS_INLINE from configure.ac. Should fix FTBFS on a
    number of architectures. (Closes: #378043)
  * added patch from Darren Salt to fix build with -O0 on at least amd64
    in src/libffmpeg/libavcodec/i386/Makefile.am
  * Imported further fixes from upstream CVS:
    +  src/input/input_dvb.c
    + src/xine-utils/xine_mutex.c
  * Imported security fix for included copy of libmms from upstream CVS,
    (e.g. USN-315-1)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Jul 2006 21:51:46 +0200

xine-lib (1.1.2-1) unstable; urgency=low

  * New upstream release: 1.1.2
  * use internal ffmpeg for upload to unstable, we will reinvestigate again
    in experimental later..
  * [sparc] Upstream fixed '--enable-vis'. So if compiling with vis, we are
    using -mcpu=v9. This creates binaries, which probably segfault on 'true'
    sparc32, but these poor old machines are not going to have much fun with
    xine anyway... If there is an increasing demand for non-vis sparc
    binaries, please contact me
  * updated README.Debian
  * use AM_MAINTAINER_MODE in configure.ac again

  [Darren Salt]
  * Option to prevent autogen.sh from being run on package build.
    Use DEB_BUILD_OPTIONS='noauto'.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 12 Jul 2006 09:53:38 +0200

xine-lib (1.1.1+cvs20060702-1) experimental; urgency=low

  * new CVS snapshot, including fix for FTBFS on arm
  * compiling with -mcpu=ultrasparc to avoid FTBFS
  * updated cvs snapshot

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 30 Jun 2006 22:35:06 +0200

xine-lib (1.1.1+cvs20060624-1) experimental; urgency=low

  * new upstream snapshot, featuring (from upstream ChangeLog)
    + Security fixes:
      - CVE-2005-4048: possible buffer overflow in libavcodec (crafted PNGs).
      - CVE-2006-2802: possible buffer overflow in the HTTP plugin.
      - possible buffer overflow via bad indexes in specially-crafted AVI files
    + Also look for Xv support in /usr/lib for X.org's new location
    + Support for Vorbis-style comments in FLAC files (Closes: #354188)
    + Add ATSC support to the DVB plugin (Closes: #287875)
    + Fix up health check to find libX11 and libXv shared objects even if
      devel packages aren't installed (where appropriate). (Ubuntu 47357)
    + Fix install problems in case configure was generated by autoconf >= 2.59c.
      (already included in older debian upload)
    + Add support for RealPlayer 10 codecs (from SUSE) (Closes: #274180)
  * add w3m to build-depends
  * New upstream fixes implicit pointer conversion. Thanks David Mosberger for
    testing (Closes: #360003)
  * cleanups in debian/rules
  * use external (debian) ffmpeg
  * run autohell on build time (read: on the buildds)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 24 Jun 2006 13:22:26 +0000

xine-lib (1.1.1-3) UNRELEASED; urgency=low

  * (re)introduce libxine1-dbg package. (Closes: #373135)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 14 Jun 2006 11:27:35 +0200

xine-lib (1.1.1-2) unstable; urgency=medium

  [ Reinhard Tartler ]

  * Use external libmad, acknowledging NMU (Closes: #336437)
  * enable support for libxvmc1, now that we have xorg in debian
    (Closes: #281572)
  * Conflict/Replaces obsolete package 'xine' (Closes: #300852)
  * Incorporated Darren's changes into a new maintainer upload.
  * medium urgency, although security fixes a lot of other functionality
    changes
  * Some more fixages to inline usage in internal copy of ffmpeg, continuing
    the patch from Darren Salt.
  * Verified that this upload fixes build on mips, and other build failiures
    look pretty similar. Therefore (Closes: #354436)
  * Verified that /usr/share/doc/libxine1/faq/faq.{html,txt} is now installed
    correctly (Closes: #369658)
  * fix gnome-vfs plugin to allow play back of http URLs again. Patch from
    upstream CVS, thank you for pointing this out, Sam Morris (Closes: #369974)

  [ Darren Salt ]

   * SECURITY FIXES (closes: #369876):
    - Possible buffer overflow in the AVI demuxer, caused by
      specially-crafted files or streams;
    - Possible buffer overflow in the HTTP header-fetching code.
      (CVE-2006-2802)

  * Tidy up the FAQ list and README installation to quieten dh_install.
  * Re-update the FSF address in debian/copyright. It got lost in 1.1.1-1.
  * Add build-dep alternatives for those of us who do backports to sarge.
  * Tidy up the package descriptions a little.
  * Bump shlibs to >= 1.1.0 due to new functions. (Closes: #358429, #368247)
  * Empty config file no longer prevents the config from being saved.
    (Fixed in upstream 1.1.1) (Closes: #320164)
  * Pulled in some patches from CVS:
    - the above security fixes;
    - fix ALSA resume-from-suspend;
    - fix incorrect size calculation in interlaced Matroska demuxing;
    - various uninitialised variables, some of which should be non-zero;
    - HTTP MRLs requiring authentication would only work when using a proxy;
    - fix possibly-broken locale handling in the SMB input plugin;
    - avoid problems where the ffmpeg audio decoder can't find a codec;
    - avoid a couple of compiler warnings (libavutil);
    - fix up some typecasting in the win32 codec interface;
    - avoid problems with negative sizes (general demuxing);
    - some plugin cache reading code should also be used on ia64;
    - fix a couple of printf warnings on 64-bit;
    - add some locking around playback speed change code;
    - incorrect default CPU acceleration setting on powerpc;
    - fix crash at startup if VO deinterlacing is enabled, onefield_xv is
      selected and the image format is YV12;
    - avoid possible segfault with 1x1 PNGs when handled by the ffmpeg plugin;
    - wrong names used for libX11 and libXv in the health check code (we now
      detect the correct names at build time);
    - add a missing -I to src/libffmpeg/libavcodec/sparc/Makefile.am (should
      fix an FTBFS on sparc);
    - alter configure.ac to avoid FTBFS when configure is regenerated with
      autoconf 2.59c or later.
  * Add AM_MAINTAINER_MODE.
  * Fix usage of inlined functions in libffmpeg before they're defined. This is
    not implemented for all architectures in gcc 4.0.x and was causing FTBFS.
  * Kill some pointer<->int casting warnings on 64-bit architectures. (Taken
    from CVS HEAD)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 Jun 2006 18:16:30 +0200

xine-lib (1.1.1-1.1) unstable; urgency=low

  * NMU.
  * Use external libmad, which fixes crashes on amd64 on apps loading both
    libxine1 and libmad0. (Closes: #336437)
  * Pass --with-xv-path=/usr/lib to configure, since otherwise Xv support was
    lost when compiling against modular X.

 -- Adeodato Simó <dato@net.com.org.es>  Sat, 15 Apr 2006 19:34:33 +0200

xine-lib (1.1.1-1) unstable; urgency=low

  * New upstream release! (Closes: #326936, #353150, #332919)

  [ Reinhard Tartler ]
    - adding myself to uploaders
    - Remove build dependencies on xlibs-dev, as well as alternatives on
      xlibs-dev-static. Debian is on its way towards X11R7!
      (Closes: #337997, #346488, #345499, #342208, #347162)
    - Rechecking the long list of NMUs. Thanks to all submitters!

  [ Darren Salt ]
    - Add debian/watch file for uscan.
    - Convert debian/copyright to UTF-8.
    - Add build-deps on libxv-dev and libvcdinfo-dev.
    - Bump standards version to 3.6.2
    - Make "post-Sarge"-tagged changes to debian/rules and strip debian/tmp/
      from debian/*.install.
    - Remove *.gmo on clean (Just In Case). (Closes: #338000)
    - Do a little preparation for a possible -dbg package.

  * Acknowledge NMUs.
    - Backports and gcc 4.0 fixes dropped since they're already in this version.
      Closes: #288189, #318838   
    - slang transition: Closes: #315986
    - aalib transition: Closes: #320317, #323276
    - flac transition: Closes: #325960 
    - fix of dependency generation script debian/shlibdeps.sh: 
      Closes: #326935, #327203, #328168, #328184, #328265, #328454
    - fix bashism in debian/rules: Closes: #337996

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Feb 2006 18:34:51 +0100

xine-lib (1.0.1-1.6) unstable; urgency=low

  * NMU - Brown paper bag release
  * debian/control:
  - make libxine-dev depend on the same -dev packages it build-depends on
    instead of depending on xlibs-dev (Closes: #347162)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 11 Jan 2006 17:32:43 -0200

xine-lib (1.0.1-1.5) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control:
  - updated build-depends to no longer depend on the xlibs-dev package,
    but on the split up packages it really needs
    (Closes: #337997, #347162, #346488, #345499)
  * debian/patches/heap-overflow-fix.diff:
  - security fix for CVE-2005-4048 (Closes: #342208)
    + urgency high because of this fix
  * debian/copyright:
  - updated FSF's address

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 11 Jan 2006 00:56:18 -0200

xine-lib (1.0.1-1.4) unstable; urgency=high

  * Non-maintainer upload for RC-(security-)bugs.
  * Apply patch from Ulf Harnhammar fixing a format string vulnerability
    in CDDB response parsing (CVE-2005-2967, Closes: #332919, #333682).
  * Fix bashism in debian/rules causing a FTBFS (Closes: #337996).

 -- Thijs Kinkhorst <kink@squirrelmail.org>  Wed, 23 Nov 2005 09:42:39 +0100

xine-lib (1.0.1-1.3) unstable; urgency=low
  * Non-maintainer upload.

  * Backport patch from 1.0.2 that fixes hard hang-ups when a plugin listed in
    ~/.xine/catalog.cache becomes unloadable (closes: #328454). Plugins can   
    become unloadable if DT_NEEDED libraries get uninstalled, which is
    possible because the package lists many of these libraries in the 
    Recommends or Suggests fields only. With this fix, amarok should not
    freeze with the XINE engine anymore (closes: #327203), and totem either
    (closes: #328265).

    Patch included in debian/patches/fix-hangs-at-load-time.diff, but since
    there's no patch applying code in debian/rules, it's present in the
    .diff.gz as well.

  * Fix the script that invokes dpkg-shlibdeps to split dependencies among
    Depends, Recommends, and Suggests: it generated empty fields if one of the
    expected plugins was not actually available. (Closes: #328184)

    This means that now the package now suggests libgnomevfs2-0 (closes:
    #326935) and libflac7 (closes: #328168). Submitters may wish to reopen if
    they want a discussion with the maintainer about the need of these being 
    strong Depends instead of Suggests.

  * xineplug_flac.so now links against libflac7 instead of libflac6, which
    closes: #325960 (the FLAC transition bug).

 -- Adeodato Simó <asp16@alu.ua.es>  Thu, 15 Sep 2005 14:54:50 +0200

xine-lib (1.0.1-1.2) unstable; urgency=low

  * NMU.
  * The -dev package should depends on libslang2-dev not
    slang1-dev(Closes: #323276)

 -- Christian Marillat <marillat@debian.org>  Tue, 16 Aug 2005 09:13:42 +0200

xine-lib (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfixes.
  * Multiple fixes for compatibility with gcc 4.0 strictness
    (closes: #288189, #318838)
  * This rebuild also gets rid of the dependency on libslang1
    (closes: #315986); it only trades it for libslang2 unfortunately, 
    since libcaca is a static lib.
  * Build-Depend on libaa1-dev instead of the removed aalib1-dev
    (closes: #320317).
  * Build-Depend on libxinerama-dev instead of on xlibs-static-dev,
    which no longer provides this lib; it should be rolled back into
    xlibs-dev as a dependency eventually, but build-depending on it 
    directly is sensible anyway.
  * Disentangle xine from libraries it doesn't actually use directly, so
    that the dependency tree is less brittle and requires fewer rebuilds
    in the future (e.g., it currently has a dependency on libstdc++5
    that it shouldn't need at all); this is doubly important since some
    plugins aren't mentioned at all in the dependencies, and so can be 
    left unusable by library changes:
    - relibtoolize the package to use the Debian version of libtool,
      with support for pruning indirect dependencies from the linker
      commandline
    - as part of the above, add AM_MAINTAINER_MODE to configure.ac to
      avoid any need for autotools build-dependencies
    - hard-code -lmodplug, -lartsc, and -lgnomevfs-2, because pkg-config,
      artsc-config, etc. spit out lib dependencies that are spurious on  
      GNU/* systems.

 -- Steve Langasek <vorlon@debian.org>  Wed,  3 Aug 2005 04:21:06 -0700

xine-lib (1.0.1-1) unstable; urgency=high

  * new upstream release
    * fixes MMST and RTSP vulnerabilities (CAN-2005-1195, closes: #305343)
    * presumably fixes Ogg/Vorbis/Theora audio sync (closes: #301901)
    * fixes typo in xine-check subsystem (closes: #292341)
  * build-depends on libsdl1.2 (closes: #297435)
  * allow installing libxine1-dev with slang1-utf8-dev (closes: #304865)
  * moved documentation to policy compliant directories (closes: #303463)
  * made Vorbis and Theora hard dependancies (workaround closes: #288331)

 -- Siggi Langauf <siggi@debian.org>  Wed, 27 Apr 2005 12:41:46 +0200

xine-lib (1.0-1) unstable; urgency=high

  * new upstream release
    * links libXv dynamically (closes: #287186)
  * updated build dependancies:
    * added libcaca (colored ASCII art) support
    * added theora support
    * added libsmbclient based SMB input plugin in addition to the gnomevfs one
    * added libmodplug based support for various tracker formats
    * added MNG support via libmng
  * added vulnerability IDs in 1-rc8-1 changelog

 -- Siggi Langauf <siggi@debian.org>  Sun, 26 Dec 2004 12:20:24 +0100

xine-lib (1-rc8-1) unstable; urgency=high

  * new upstream release (closes: #286030)
    * fixes PNM and RTSP related security vulnerabilities (closes: #286077)
      This has been assigned CAN-2004-1188.
    * fixes DVB playback for fullfeatured cards (possibly closes: #281873)
  * added patch to fix aiff vulnerability (CAN-2004-1300, closes: #285899)

 -- Siggi Langauf <siggi@debian.org>  Wed, 22 Dec 2004 11:31:09 +0100

xine-lib (1-rc7-1) unstable; urgency=medium

  * New upstream release
    * new DVB subsystem (closes: #223541, #223555, #223562)
    * makes Win32 DLL loader work with 2.6 kernels (closes: #265455)
  * added more explicit dependancy on libpng12-dev, so maybe
    "apt-get build-dep xine-lib" will work again...

 -- Siggi Langauf <siggi@debian.org>  Wed, 10 Nov 2004 09:26:46 +0100

xine-lib (1-rc6a-1) unstable; urgency=high

  * new upstream release (closes: #263418)
    * fixes buffer overflow with vcd:// MRLs (closes: #265061)
  * merged Frank and Steve's NMU patch (closes: 270884)

 -- Siggi Langauf <siggi@debian.org>  Mon, 27 Sep 2004 00:22:28 +0200

xine-lib (1-rc5-1.1) unstable; urgency=high

  * Non-maintainer upload, prepared by Steve Langasek and me
  * High-urgency upload for a sarge-targetted RC fix.
  * Use --build, not --host, to specify the architecture; otherwise
    autoconf thinks we're cross-compiling when we aren't.
  * src/libffmpeg/libavcodec/sparc/dsputil_vis.c et al: make this code
    conditional on ENABLE_VIS, since that's what that define is for;
    fixes FTBFS on sparc when using a 32-bit target (closes: #270884).
  * Add patch to fix overflows when handling vcd:// MRLs
    (closes: #265061).

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 26 Sep 2004 02:22:51 +0200

xine-lib (1-rc5-1) unstable; urgency=medium

  * New upstream release (closes: #258274)
    * fixes MPEG demuxer selection (closes: #249247)
    * suppresses warning about skipped frames on fast-fwd (closes: #255125)
  * re-processed autogen.sh, so Debian's libtool is used (closes:  #251584)
  * passing CFLAGS explicitly to make (closes: 251103)

 -- Siggi Langauf <siggi@debian.org>  Sun, 11 Jul 2004 21:01:43 +0200

xine-lib (1-rc4a-1) unstable; urgency=high

  * new upstream version
    - fixes display errors with popular (Matrox, ATI) graphics cards

  This version, as 1-rc4 before, contains a security fix for the RTSP
  vulnerability (XSA-2004-3, Bug#247353)

 -- Siggi Langauf <siggi@debian.org>  Thu, 13 May 2004 07:04:14 +0200

xine-lib (1-rc4-1) unstable; urgency=low

  * New upstream release

 -- Siggi Langauf <siggi@debian.org>  Wed, 28 Apr 2004 20:28:02 +0200

xine-lib (1-rc3c-1) unstable; urgency=low

  * new upstream version
    - includes workaround for XV_HUE bug on NVidia cards (closes: #238433)
  * build-depends on libpng-dev for PNG support (closes: #240524)
  * build-depends on libfreetype6-dev for TTF support (closes: #242031)

 -- Siggi Langauf <siggi@debian.org>  Wed,  7 Apr 2004 23:58:08 +0200

xine-lib (1-rc3b-1) unstable; urgency=low

  * new upstream release
    - lots of bug fixes (see upstream ChangeLog), including:
    - allows devfs compatible DSP device names (closes: #193459)
    - Michel's segfault patch (closes: #22875)

 -- Siggi Langauf <siggi@debian.org>  Tue, 16 Mar 2004 22:43:36 +0100

xine-lib (1-rc3a-2) unstable; urgency=high

  * updated shlibs: 1-rc3(a) provides new OSD functions (will close: 225618)
  * fixed OSS plugin initialization code (closes: 225275)

 -- Siggi Langauf <siggi@debian.org>  Wed, 31 Dec 2003 15:41:17 +0100

xine-lib (1-rc3a-1) unstable; urgency=high

  * new upstream release
    * fixes ABI compatibility (closes: 224931)
  * audio demuxer group is loaded again (closes: 225158)

 -- Siggi Langauf <siggi@debian.org>  Sun, 28 Dec 2003 11:56:16 +0100

xine-lib (1-rc3-2) unstable; urgency=low

  * merged some updates from upstream CVS:
    * define SCSI_BLK_MAJOR macro for kernel 2.6 (closes: 224695)
    * fix endianness for arts audio (closes: 190356)

 -- Siggi Langauf <siggi@debian.org>  Tue, 23 Dec 2003 01:38:29 +0100

xine-lib (1-rc3-1) unstable; urgency=low

  * new upstream release
    * builds libxine with -fPIC on all architectures (closes: #217140)

 -- Siggi Langauf <siggi@debian.org>  Mon, 15 Dec 2003 11:49:25 +0100

xine-lib (1-rc2-1) unstable; urgency=low

  * new upstream release
    * handles "#" and "%" characters in filenames gracefully (closes: #206890)
    * includes enhanced VCD input plugin (closes: 130489)

 -- Siggi Langauf <siggi@debian.org>  Mon, 27 Oct 2003 17:10:28 +0100

xine-lib (1-rc1-1) unstable; urgency=high

  * new upstream release
    * doesn't link static libXv any more (closes: #210650)
    * ALSA driver doesn't block on busy device any more (closes: #211304)
  * suggesting libartsc0 (I have a bad feeling about this, closes: #203961)

 -- Siggi Langauf <siggi@debian.org>  Sun,  5 Oct 2003 11:28:06 +0200

xine-lib (1-rc0a-1) unstable; urgency=low

  * new upstream release
    * includes missing DXR3 support file (source only)
    * keeps xine from aborting on broken MPEG streams
  * added speex support

 -- Siggi Langauf <siggi@debian.org>  Sat,  2 Aug 2003 15:40:13 +0200

xine-lib (1-rc0-1) unstable; urgency=low

  * new upstream release
    * new versioning scheme should sort correctly (closes: #194063)
    * includes liba52 fix (closes: #196327)
    * resets decoder priorities if an old config file is found (closes: 193303)
  * libxine-dev depends on libfreetype6-dev (closes: #195738)

 -- Siggi Langauf <siggi@debian.org>  Fri,  1 Aug 2003 08:55:22 +0200

xine-lib (1-beta12-1) unstable; urgency=low

  * new upstream version
    * ALSA plugin opens audio device in non-blocking mode (closes: #177877)
    * (old?) QT DLL decoder fixes (closes: #179136)

 -- Siggi Langauf <siggi@debian.org>  Mon, 12 May 2003 18:59:34 +0200

xine-lib (1-beta11-0) unstable; urgency=low

  * New Upstream release

 -- Siggi Langauf <siggi@debian.org>  Sun, 27 Apr 2003 14:08:30 +0200

xine-lib (1-beta10-2) unstable; urgency=low

  * backported xine-lib configure check from upstream CVS

 -- Siggi Langauf <siggi@debian.org>  Wed, 16 Apr 2003 12:46:26 +0200

xine-lib (1-beta10-1) unstable; urgency=low

  * new upstream release
  * updated debhelper dependancy, avoid using --list-missing (closes: #187433)
  * changed libxine-dev section to new "libdevel"

 -- Siggi Langauf <siggi@debian.org>  Mon,  7 Apr 2003 19:31:03 +0200

xine-lib (1-beta9-1) unstable; urgency=low

  * New upstream release
  * correct demuxer should be used since 1-beta8 (closes: #180011)

 -- Siggi Langauf <siggi@debian.org>  Sun, 23 Mar 2003 21:15:42 +0100

xine-lib (1-beta8-1) unstable; urgency=low

  * Add pmhahn as Uploaders.
  * New upstream release.
  * Standards-Version 3.5.9:
    - debhelper 4
    - Use 'noopt' instead of 'debug'
    - Remove overrides for plugin shared libraries.
  * Provide non-developer documentation in library package.
  * Build with dxr3 support (closes: #117170)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Fri, 14 Mar 2003 10:03:16 +0100

xine-lib (1-beta6-1) unstable; urgency=low

  * new upstream release
  * updated artsc build dependancy (closes: #182137)
  * removed obsolete dh_testversion call

 -- Siggi Langauf <siggi@debian.org>  Sun, 23 Feb 2003 00:53:19 +0100

xine-lib (1-beta4-3) unstable; urgency=low

  * added version on FLAC dependancy (closes: #181399)
  * fixed Replaces: xine-dvdnav, so apt should do the transition smoothly
    (closes: #175790)
  * downgraded GNOME recommendation to suggestion (closes: #179523)

 -- Siggi Langauf <siggi@debian.org>  Wed, 19 Feb 2003 04:29:21 +0100

xine-lib (1-beta4-2) unstable; urgency=low

  * updated dependancies (closes: #179251):
    - added gnome-vfs input and FLAC support
    - made those dependancies "suggests:"
    - made sdl optional as well

 -- Siggi Langauf <siggi@debian.org>  Sun,  2 Feb 2003 22:09:02 +0100

xine-lib (1-beta4-1) unstable; urgency=low

  * new upstream release (fixes compilation on mmx capable ix86 machines)

 -- Siggi Langauf <siggi@debian.org>  Wed, 29 Jan 2003 19:37:15 +0100

xine-lib (1-beta3-1) unstable; urgency=low

  * new upstream release

 -- Siggi Langauf <siggi@debian.org>  Tue, 28 Jan 2003 21:41:05 +0100

xine-lib (1-beta2-4) unstable; urgency=low

  * removed HPPA compiler hacks (3.2 is now default, and it choked anyway...)
  * removed DXR3 support (closes: #175392, reopens: #117170)

 -- Siggi Langauf <siggi@debian.org>  Wed,  8 Jan 2003 21:49:25 +0100

xine-lib (1-beta2-3) unstable; urgency=high

  * A backslash got lost in the last upload.
    gcc-3.2 should finally be used on HPPA now...

 -- Siggi Langauf <siggi@debian.org>  Thu,  2 Jan 2003 20:39:51 +0100

xine-lib (1-beta2-2) unstable; urgency=low

  working around autobuilder bugs:
  - actually using gcc-3.2 on HPPA
  - uploading i386 binaries, since the i386 autobuilder dies from #165458

 -- Siggi Langauf <siggi@debian.org>  Thu,  2 Jan 2003 12:11:24 +0100

xine-lib (1-beta2-1) unstable; urgency=low

  * new upstream release
  * on HPPA: working around a compiler bug by explicit build-depend on
    gcc-3.2 (closes: #174813)

 -- Siggi Langauf <siggi@debian.org>  Thu,  2 Jan 2003 00:43:42 +0100

xine-lib (1-beta1-1) unstable; urgency=low

  * new upstream release.
    This is actually uploaded to unstable again, so let's check bugs:
  * doesn't segfault with any of my VCDs (closes: #173424)
  * supports WMV8 codecs (binary DLL only) (closes: #163363)
  * should build with dxr3 support (closes: #117170)

 -- Siggi Langauf <siggi@debian.org>  Tue, 24 Dec 2002 18:07:17 +0100

xine-lib (1-beta0-1) unstable; urgency=low

  * new upstream release (now labelled beta)
    This one fixes the packaging issues, so it's a candidate for unstable.

 -- Siggi Langauf <siggi@debian.org>  Wed, 11 Dec 2002 13:48:35 +0100

xine-lib (1-alpha2-0) experimental; urgency=low

  * yet another upstream alpha. This one is becoming usable, but has some
    packaging issues which prevent a parallel installation of libxine0.

 -- Siggi Langauf <siggi@debian.org>  Tue, 26 Nov 2002 00:34:35 +0100

xine-lib (1-alpha1-0) experimental; urgency=low

  * another upstream alpha. This is still not ready for prime time, but it will
    build from source if you really want to give it a try...

 -- Siggi Langauf <siggi@debian.org>  Sat,  9 Nov 2002 23:39:01 +0100

xine-lib (1-alpha0-0) unstable; urgency=low

  * new upstream (alpha!) release
    (this is not suited for the Debian archives, yet.)
  * NOTE: conflicts with libxine0, because of fonts and l18n

 -- Siggi Langauf <siggi@debian.org>  Sun,  3 Nov 2002 03:00:41 +0100

xine-lib (0.9.13-1) unstable; urgency=low

  * new upstream release
    - includes ALSA big-endian fix (closes: #154914)
    - only shows frame stats if frames have been skipped (closes: #151610)
  * removed control information concerning unreleased betas
  * conflicts: packages compiled against incompatible libxine0 (closes: #150832)
 -- Siggi Langauf <siggi@debian.org>  Sat,  3 Aug 2002 22:47:56 +0200

xine-lib (0.9.12-1) unstable; urgency=low

  * new upstream release
    (only small improvements, see upstream ChangeLog)
  * moved locale files from libxine-dev to the libxine0

 -- Siggi Langauf <siggi@debian.org>  Sun, 23 Jun 2002 11:33:37 +0200

xine-lib (0.9.11-1) unstable; urgency=low

  * new upstream release
    - pads Xv images, so width % 4 == 0 (closes: #134997)

 -- Siggi Langauf <siggi@debian.org>  Thu, 20 Jun 2002 00:11:37 +0200

xine-lib (0.9.10-2) unstable; urgency=high

  * disabled machine specific optimizations, so autobuilders will
    build packages than run on their whole processor family (closes: #148414)

 -- Siggi Langauf <siggi@debian.org>  Wed, 29 May 2002 10:06:09 +0200

xine-lib (0.9.10-1) unstable; urgency=low

  * new upstream release
    * uses new logo mechanism (closes: #145483)
    * after long fights using sane SONAME (closes: #145668, #148099)
    * safer check and bigger buffer in xine_get_homedir() (closes: #133550)
    (see upstream ChangeLog for further highlights)
  * build-depends on libz-dev (closes: #14562)
  * libxine-dev depends on slang1-dev (closes: #140842)
  * removed references to (never released, long obsolete) xine packages

 -- Siggi Langauf <siggi@debian.org>  Sun, 26 May 2002 00:00:14 +0200

xine-lib (0.9.9-2) unstable; urgency=low

  * using LIBRARY_PATH to complete circular linking during install
    (closes: #145348)

 -- Siggi Langauf <siggi@debian.org>  Thu,  2 May 2002 05:06:06 +0200

xine-lib (0.9.9-1) unstable; urgency=low

  * new upstream release
  * downgraded ogg/vorbis dependancies to recommendations (closes: #130492)
  * made resetting volume an option, disabled by default (closes: #127485)

 -- Siggi Langauf <siggi@debian.org>  Mon, 28 Jan 2002 10:54:14 +0100

xine-lib (0.9.8-2) unstable; urgency=high

  * including version in shlibs file, so shlibdeps will work

 -- Siggi Langauf <siggi@debian.org>  Sat, 19 Jan 2002 16:20:32 +0100

xine-lib (0.9.8-1) unstable; urgency=high

  * new upstream release

 -- Siggi Langauf <siggi@debian.org>  Mon, 14 Jan 2002 00:43:52 +0100

xine-lib (0.9.7-3) unstable; urgency=high

  * re-added check for HPPA (closes: #123036)

 -- Siggi Langauf <siggi@debian.org>  Mon, 17 Dec 2001 11:44:24 +0100

xine-lib (0.9.7-2) unstable; urgency=low

  * this package is based on a recent CVS snapshot, fixes a few things:
  * don't try to DirectShow support on non-i386 platforms
  * officially support s390, thanks to Gerhard Tonn (closes: #123805)
  * subtitles other than the first one re-enabled
  * improved antialiasinf on OSD fonts

 -- Siggi Langauf <siggi@flake.langauf.de>  Sun, 16 Dec 2001 13:00:14 +0100

xine-lib (0.9.7-1) unstable; urgency=low

  * new upstream release, introducing upstream feature freeze for 1.0
  * suggesting xine-dvdnav, so people find it more easily
  * disabled Xv plugin on hppa (closes: #123036)

 -- Siggi Langauf <siggi@debian.org>  Wed, 12 Dec 2001 19:32:43 +0100

xine-lib (0.9.6-1) unstable; urgency=high

  * new upstream release, fixes some nasty bugs
    (the 0.9.5 package was never uploaded, sorry...)

 -- Siggi Langauf <siggi@debian.org>  Sat,  1 Dec 2001 09:39:48 +0100

xine-lib (0.9.5-1) unstable; urgency=high

  * new upstream release

 -- Siggi Langauf <siggi@debian.org>  Sun, 11 Nov 2001 12:01:00 +0100

xine-lib (0.9.4-1) unstable; urgency=medium

  * new upstream release, fixes libtool, so this actually compiles
    new features include improved deinterlacing with syncfb and zoom support

 -- Siggi Langauf <siggi@debian.org>  Sun,  4 Nov 2001 13:07:06 +0100

xine-lib (0.9.3-1) unstable; urgency=medium

  * new upstream release
  * improved error handling in plugin loader (closes: #116572)

 -- Siggi Langauf <siggi@debian.org>  Sat,  3 Nov 2001 11:24:03 +0100

xine-lib (0.9.2-3) unstable; urgency=high

  * removed build-dependency on libasound (useful on i386 only)
  * allow for architectures building only some of the plugins
  * added build-dependency on ogg and vorbis libraries

 -- Siggi Langauf <siggi@debian.org>  Sat, 20 Oct 2001 17:58:53 +0200

xine-lib (0.9.2-2) unstable; urgency=high

  * added permission workaround for shlibdeps.sh (closes: #115881)

 -- Siggi Langauf <siggi@debian.org>  Wed, 17 Oct 2001 00:41:51 +0200

xine-lib (0.9.2-1) unstable; urgency=high

  * now building alsa09 plugin (instead of alsa05, as you can't have
                                libasound{1,2}-dev at the same time...)
  * build-Dependency on liblircclient-dev => lirc support on non-i386
  * new upstream release
    * deinterlace.c should compile everywhere (closes: #112748)
    * including string.h in m4 test (closes: #115271)
    * aclocal file is in /usr/share/aclocal (just as 0.9.1)  (closes: #115033)
    * enables -fPIC on all architectures except i386 (closes: #115006)
    * many more fixes/features (see upstream changelog)

 -- Siggi Langauf <siggi@debian.org>  Mon, 15 Oct 2001 21:14:12 +0200

xine-lib (0.9.1-1.1) unstable; urgency=low

  * NMU.
  * Added ia64 support to configure.in.
  * For performance reasons, the shared libs are not compiled with
    -fPIC in the standard distribution, which is incorrect behavior.
    As a compromise, I've added a "--disable-fpic" configure option
    which will only do this on platforms where this is allowed.
    Closes: #115006.
  * m4/xine.m4: autoconf test uses strdup w/o including string.h.
    Closes: #115271.
  * Don't install aclocal files in /usr/local in libxine-dev.
    Closes: #115033.
  * Fixed typo in src/video_out/deinterlace.c.  Closes: #112748.

 -- Jeff Licquia <jlicquia@progeny.com>  Tue,  9 Oct 2001 09:55:23 -0600

xine-lib (0.9.1-1) unstable; urgency=low

  * new upstream release (mostly bugfix release, new deinterlacer)
  * re-added ALSA (0.5.x) plugin
  * now ships with aRts audio plugin

 -- Siggi Langauf <siggi@debian.org>  Tue, 18 Sep 2001 11:13:34 +0200

xine-lib (0.9.0-2) unstable; urgency=low

  * bugfix release of the package
  * added build-depends for zlib1g-dev (closes: #112270)
  * using default FPM routines on m68k, as nobody seems able to write native
    ones. Performance will be poor and it might not even work, but should
    compile... (closes: #112257)

 -- Siggi Langauf <siggi@debian.org>  Sun, 16 Sep 2001 11:08:46 +0200

xine-lib (0.9.0-1) unstable; urgency=low

  * new upstream release features generic menu support, see ChangeLog for more

 -- Siggi Langauf <siggi@debian.org>  Fri, 14 Sep 2001 11:31:10 +0200

xine-lib (0.5.3-1) unstable; urgency=low

  * added build-depends: lobesd0-dev (closes: Bug#111140)
  * new upstream release (fixes many race conditions, etc.)

 -- Siggi Langauf <siggi@debian.org>  Tue,  4 Sep 2001 19:14:01 +0200

xine-lib (0.5.2-1) unstable; urgency=low

  * new upstream release features major rewrites of timing and audio output
  * added configure support for m68k (libmad still won't compile on m68k!)

 -- Siggi Langauf <siggi@debian.org>  Sun,  2 Sep 2001 18:04:44 +0200

xine-lib (0.5.1-1) unstable; urgency=low

  * new upstream version
    (0.5.0-1 never made it into the archive)

 -- Siggi Langauf <siggi@debian.org>  Mon, 27 Aug 2001 10:04:17 +0200

xine-lib (0.5.0-1) unstable; urgency=low

  * Initial Release of the new xine-lib/xine-ui based xine.

 -- Siggi Langauf <siggi@debian.org>  Sun,  5 Aug 2001 20:26:31 +0200
